''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''
''  THIS CODE IS NOT REDISTRIBUTABLE OR APPROVED FOR USE IN/ON ANY OTHER UI 
''  ELEMENT OR PRODUCT COMPONENT.
''  Copyright (c) Microsoft Corporation.  All rights reserved.
''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''
'' Validate the version of Outlook is installed.  Returns boolean. 
''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
function CheckOutlookVersion()
	on error resume next
	Dim wshShell
	Set wshShell = CreateObject("WScript.Shell")
	
	dim value
	value = wshShell.RegRead("HKEY_CLASSES_ROOT\Outlook.Application\CurVer\")

	if value = "Outlook.Application.14" then
		CheckOutlookVersion = true
	else
		CheckOutlookVersion = false
	end if
	set wshShell = nothing
end function

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''
'' Opens a connection to the Outlook object model.  Returns true if sucessful
''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
function ConnectToOutlook()
	on error resume next
	Set outlookApplication = GetObject(, "Outlook.Application")
	if outlookApplication is Nothing then
		outlookFailed = true
		ConnectToOutlook = false
	else
		if mid(outlookApplication.Version, 1, 2) <> "14" then
			outlookFailed = true
			ConnectToOutlook = false
			Set outlookApplication = nothing
		else
			outlookFailed = false
			ConnectToOutlook = true
		end if			
	end if
end function

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
''
'' Shuts down the connection to the Outlook object model.
''
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
sub DisconnectFromOutlook()
	Set outlookApplication = nothing
end sub

function GetWeekDayNames()
	dim values
	for i = 1 to 7
		values = values & "," & WeekDayName(i, true)
	next
	
	GetWeekDayNames = mid(values, 2)
end function
